---
title: MediaSessionActionDetails
slug: Web/API/MediaSessionActionDetails
tags:
  - API
  - Audio
  - Dictionary
  - Media
  - Media Session API
  - MediaSession
  - MediaSessionActionDetails
  - Reference
  - Video
  - forward
  - pause
  - play
  - reverse
  - seek
---
<p>{{APIRef("Media Session API")}}</p>

<p><span class="seoSummary">The <a href="/en-US/docs/Web/API/Media_Session_API">Media Session API'</a>s <strong><code>MediaSessionActionDetails</code></strong> dictionary is the type used by the sole input parameter into the callback which is executed when a {{anch("Media action types", "media session action")}} occurs.</span> It specifies the type of action which needs to be performed as well as the data needed to perform the action.</p>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref("MediaSessionActionDetails.action", "action")}}</dt>
 <dd>A <a href="/en-US/docs/Web/API/MediaSessionAction">Media Session action type</a> string taken from the <code>MediaSessionAction</code> enumerated type, indicating which type of action needs to be performed. See {{anch("Media action types")}} below for possible values.</dd>
 <dt>{{domxref("MediaSessionActionDetails.fastSeek", "fastSeek")}} {{optional_inline}}</dt>
 <dd>An <code>{{anch("seekto")}}</code> action may <em>optionally</em> include this property, which is a Boolean value indicating whether or not to perform a "fast" seek. A "fast" seek is a seek being performed in a rapid sequence, such as when fast-forwarding or reversing through the media, rapidly skipping through it. This property can be used to indicate that you should use the shortest possible method to seek the media. <code>fastSeek</code> is not included on the final action in the seek sequence in this situation.</dd>
 <dt>{{domxref("MediaSessionActionDetails.seekOffset", "seekOffset")}} {{optional_inline}}</dt>
 <dd>If the <code>action</code> is either <code>{{anch("seekforward")}}</code> or <code>{{anch("seekbackward")}}</code> and this property is present, it is a floating point value which indicates the number of seconds to move the play position forward or backward. If this property isn't present, those actions should choose a reasonable default distance to skip forward or backward (such as 7 or 10 seconds).</dd>
 <dt>{{domxref("MediaSessionActionDetails.seekTime", "seekTime")}} {{optional_inline}}</dt>
 <dd>If the <code>action</code> is <code>{{anch("seekto")}}</code>, this property must be present and must be a floating-point value indicating the absolute time within the media to move the playback position to, where 0 indicates the beginning of the media. This property is not present for other action types.</dd>
</dl>

<h2 id="Media_action_types">Media action types</h2>

<p>A media session action's type is specified using a string from the <code>MediaSessionAction</code> enumerated type.</p>

<h3 id="Values">Values</h3>

<p>Each of the actions is a common media session control request. Implement support for each of these in order to allow that type of action to be performed. The following strings identify the currently available types of media session action:</p>

<div id="action-types">
<dl>
 <dt><a id="nexttrack"><code>nexttrack</code></a></dt>
 <dd>Advances playback to the next track.</dd>
 <dt><a id="pause"><code>pause</code></a></dt>
 <dd>Pauses playback of the media.</dd>
 <dt><a id="play"><code>play</code></a></dt>
 <dd>Begins (or resumes) playback of the media.</dd>
 <dt><a id="previoustrack"><code>previoustrack</code></a></dt>
 <dd>Moves back to the previous track.</dd>
 <dt><a id="seekbackward"><code>seekbackward</code></a></dt>
 <dd>Seeks backward through the media from the current position. The {{domxref("MediaSessionActionDetails")}} property {{domxref("MediaSessionActionDetails.seekOffset", "seekOffset")}} specifies the amount of time to seek backward.</dd>
 <dt><a id="seekforward"><code>seekforward</code></a></dt>
 <dd>Seeks forward from the current position through the media. The {{domxref("MediaSessionActionDetails")}} property {{domxref("MediaSessionActionDetails.seekOffset", "seekOffset")}} specifies the amount of time to seek forward.</dd>
 <dt><a id="seekto"><code>seekto</code></a></dt>
 <dd>Moves the playback position to the specified time within the media. The time to which to seek is specified in the {{domxref("MediaSessionActionDetails")}} property {{domxref("MediaSessionActionDetails.seekTime", "seekTime")}}. If you intend to perform multiple <code>seekto</code> operations in rapid succession, you can also specify the {{domxref("MediaSessionActionDetails")}} property {{domxref("MediaSessionActionDetails.fastSeek", "fastSeek")}} property with a value of <code>true</code>. This lets the browser know it can take steps to optimize repeated operations, and is likely to result in improved performance.</dd>
 <dt><a id="skipad"><code>skipad</code></a></dt>
 <dd>Skips past the currently playing advertisement or commercial. This action may or may not be available, depending on the platform and {{Glossary("user agent")}}, or may be disabled due to subscription level or other circumstances.</dd>
 <dt><a id="stop"><code>stop</code></a></dt>
 <dd>Halts playback entirely.</dd>
</dl>
</div>

<h2 id="Examples">Examples</h2>

<p>{{page("/en-US/docs/Web/API/MediaSessionAction", "Examples")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Media Session','#dictdef-mediasessionactiondetails','MediaSessionActionDetails')}}</td>
   <td>{{Spec2('Media Session')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.MediaSessionActionDetails")}}</p>
</div>
